Keywords

List all keywords

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Keywords are strings that can be attached to all major objects. A record can have up to 64 keywords.

The API can list, read and delete keywords, but not create or edit them directly. To create a keyword, add a new keyword name to a record's keywords.

Records list their keywords by name. Keyword names are not guaranteed to be unique: the same name can appear more than once in this list, with different IDs.

Attributes

Attribute NameTypeDescriptionAttributes
selfreferenceURL of the keywordRead-only
Non-null
namestringName of the keyword (max 128 characters)Read-only
Non-null
is_activebooleantrue if the keyword can be assigned to recordsRead-only
Non-null

Filtering Results

This endpoint returns the full list of keywords, sorted by ID, by default. However, you may include an entity query parameter to only fetch keywords which are enabled for the entity.

An example request that only wanted keywords for contacts would like this:

GET /v1/keywords?entity=contact

All entities which support keywords are valid values for the entity filter:

Major EntityQuery String
Contactcontact
Companycompany
Projectproject
Opportunityopportunity
Tasktask
Appointmentappointment
Groupgroup
Notenote
Emailemail
Formform
📘

Auto-created Keywords

A keyword created by adding a new name to a record is enabled only for that type of record. Whenever a keyword is added to a record, it is made active and enabled for that record's type, if it wasn't already.

You can toggle which keywords are enabled for a particular entity in the Daylite app preferences.

You can also add is_active=true or is_active=false to return only active or only inactive keywords, e.g. GET /v1/keywords?entity=contact&is_active=true.

Query Params
string
enum

Only return keywords enabled for this type of record

boolean

true for only active keywords, false for only inactive ones

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json